Subject: Re: bug#66750: Unhelpful text in C-h v for variables with a lambda form as value

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Nov 2023 18:50:47 +0200

> Date: Thu, 2 Nov 2023 15:55:22 +0000
> Cc: [email-masked], [email-masked], [email-masked],
>   [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > How about if you propose a compromise with which you could live?
> 
> That is difficult.

Of course, it is.  But "digging in" your original position will never
allow us to make any progress here, when there are differences of
opinion.  So please try, however difficult it is.  You will need to
get creative.

> I could see myself replacing the defining symbol with FILE:POSITION
> information, but I doubt that would make the two of you happy
> enough.  Or, maybe put this defining symbol or F:P information into
> the doc string somehow (including in the interpreted format) like
> Stefan was suggesting recently.

My advice is to propose the alternatives which you could accept, and
then take it from there.  There's no need to try to decide up front
whether some compromise will or won't be acceptable by the other side.

> > Maybe so, but if your feature doesn't bring us closer to that goal,
> > then for me personally it is much less interesting.
> 
> Maybe we could put no-ops into the byte compiled format, where each no-op
> had a position argument.  But that would make Emacs a bit slower.  Or we
> could add an extra "debugging" field to the structure which would contain
> the position information.  As with lots of things, macros would
> complicate such a scheme.  In the native compiled format, isn't there
> already a standard way of writing this info?

I don't know, but Andrea probably will.